

import ApibaseUrl from "@/config/urlConfig.js"
const ApiUrl = ApibaseUrl.getApibaseUrl();






const getdata = function(api,data,successc,failc){
	//获取版本号
	if(api=='getversion'){
		uni.request({
		    url: ApiUrl+'/system/version/getversion',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//切换语言
	if(api=='changeLanguages'){
		uni.request({
		    url: ApiUrl+'/changeLanguages',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	// 刷新token
	if(api=='refreshToken'){
		uni.request({
		    url: ApiUrl+'/infouser/user/gettoken',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	// 获取手机验证码
	if(api=='smsCode'){
		uni.request({
		    url: ApiUrl+'/infouser/user/getcode',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	//会员手机验证码登录注册
	if(api=='loginBySmsCode'){
		uni.request({
		    url: ApiUrl+'/infouser/user/lodeing',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	// 注销账号
	if(api=='deleuser'){
		uni.request({
		    url: ApiUrl+'/infouser/user/deleuser',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	// 获取用户信息
	if(api=='getUserMsg'){
		uni.request({
		    url: ApiUrl+'/infouser/user/getuserinfo',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//更新用户信息
	if(api=='updataUserMsg'){
		uni.request({
		    url: ApiUrl+'/infouser/user/setuser',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//代理用户登录
	if(api=='userLogin'){
		uni.request({
		    url: ApiUrl+'/user/app/loding',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
//---------------------------------------------------
	//获取门店服务类型列表
	if(api=='fwlxlist'){
		uni.request({
		    url: ApiUrl+'/system/ServiceType/fwlxlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//获取门店分类列表
	if(api=='getmendianfenlei'){
		uni.request({
		    url: ApiUrl+'/fenlei/type/list',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	//获取门店列表
	if(api=='getmendianlist'){
		uni.request({
		    url: ApiUrl+'/chanting/store/getstorelist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
				console.log(err)
		    	failc(err);
		    },
		})
	}
	//分类门店列表
	if(api=='getserverlist'){
		uni.request({
		    url: ApiUrl+'/chanting/store/getserverlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
				console.log(err)
		    	failc(err);
		    },
		})
	}
	//评分等门店列表
	if(api=='getPfStore'){
		uni.request({
		    url: ApiUrl+'/chanting/store/getPfStore',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
				console.log(err)
		    	failc(err);
		    },
		})
	}
	
	//门店详情
	if(api=='getmendianDetail'){
		uni.request({
		    url: ApiUrl+'/chanting/store/getstore',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//门店商品分类
	if(api=='getmendianshangpinFL'){
		uni.request({
		    url: ApiUrl+'/system/fenlei/getfenlei',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//门店商品分类对应商品列表
	if(api=='getmendianshangpinList'){
		uni.request({
		    url: ApiUrl+'/chanting/food/getidlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//查询商品
	if(api=='searchGoods'){
		uni.request({
		    url: ApiUrl+'/chanting/food/getfoodlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='searchfor'){
		uni.request({
		    url: ApiUrl+'/chanting/food/searchfor',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	//商品详情
	if(api=='GoodsDetail'){
		uni.request({
		    url: ApiUrl+'/chanting/food/getfood',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
//---------------------------------------------------
//用户收货地址管理
	if(api=='ADDaddress'){
		uni.request({
		    url: ApiUrl+'/system/address/address',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}

	if(api=='getaddressList'){
		uni.request({
		    url: ApiUrl+'/system/address/getaddress',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}

	if(api=='getaddressxq'){
		uni.request({
		    url: ApiUrl+'/system/address/getaddressxq',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}

	if(api=='getzuijinaddress'){
		uni.request({
		    url: ApiUrl+'/system/address/getzuijinaddress',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}

	if(api=='deleaddress'){
		uni.request({
		    url: ApiUrl+'/system/address/deleaddress',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
//---------------------------------------------------
//经纬度获取地址信息
	if(api=='getLocationAddr'){
		uni.request({
		    url: ApiUrl+'/utils/getLocationAddr',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//经纬度获取精准地址信息
	if(api=='getAddr'){
		uni.request({
		    url: ApiUrl+'/utils/getAddr',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	if(api=='setLocat'){
		uni.request({
		    url: ApiUrl+'/utils/setLocat',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='gcj02towgs'){
		uni.request({
		    url: ApiUrl+'/utils/GCJ2TOWGS',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
//--------------------------------------------------
//订单管理


    //订单列表
	if(api=='getorderList'){
		uni.request({
		    url: ApiUrl+'/system/order/getorderlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}

	if(api=='setorderuzt'){
		uni.request({
		    url: ApiUrl+'/system/order/setorderuzt',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}

    //订单详情
	if(api=='getorderxq'){
		uni.request({
		    url: ApiUrl+'/system/order/getorderxq',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='getyunfei'){
		uni.request({
		    url: ApiUrl+'/utils/getyunfei',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
//--------------------------------------------------------
//支付
const md5pay = '/pay/md5pay?';

	if(api=='VNPay'){
		uni.request({
		    url: ApiUrl+'/pay/VNPay',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='VNtuikuan'){//退款
		uni.request({
		    url: ApiUrl+'/pay/VNtuikuan',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//消息推送————通知商家
	if(api=='pushMsgSJ'){
		uni.request({
		    url:'https://fc-mp-20ccbe79-10f8-41d7-a06c-c42581f351c1.next.bspapp.com/sjpush',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//消息推送————通知骑手
	if(api=='pushMsgQS'){
		uni.request({
		    url:'https://fc-mp-20ccbe79-10f8-41d7-a06c-c42581f351c1.next.bspapp.com/ptpush',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
//-------------------------------------------------
	const getuserfootlist = '/system/order/getuserfootlist';
	//我的足迹
	if(api=='getuserfootlist'){
		uni.request({
		    url: ApiUrl+'/system/order/getuserfootlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	// 收藏店铺
	if(api=='addcollect'){
		uni.request({
		    url: ApiUrl+'/system/collect/addcollect',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='getcollectlist'){
		uni.request({
		    url: ApiUrl+'/system/collect/getcollectlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//订单评论
	if(api=='addrevew'){
		uni.request({
		    url: ApiUrl+'/system/review/addrevew',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='getmdrevew'){
		uni.request({
		    url: ApiUrl+'/system/review/getmdrevew',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//会员管理
	if(api=='getviplist'){
		uni.request({
		    url: ApiUrl+'/system/membership/getviplist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='adduservip'){
		uni.request({
		    url: ApiUrl+'/system/vipuser/adduservip',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//帮助 
	if(api=='gethelplist'){
		uni.request({
		    url: ApiUrl+'/system/help/gethelplist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	const gethelpxq = '/system/help/gethelpxq' 
	
	//打车接口-------------------------------------------
	
	if(api=='getTaxiPrices'){
		uni.request({
		    url: ApiUrl+'/system/txprices/getTaxiPrices',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	if(api=='addTxorder'){
		uni.request({
		    url: ApiUrl+'/system/txorder/addTxorder',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='SetTxorder'){
		uni.request({
		    url: ApiUrl+'/system/txorder/SetTxorder',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='getUsTxorder'){
		uni.request({
		    url: ApiUrl+'/system/txorder/getUsTxorder',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		     },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	if(api=='getTxorder'){
		uni.request({
		    url: ApiUrl+'/system/txorder/getTxorder',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//=====================================================
	//上传消息推送内容
	if(api=='userCall'){
		uni.request({
		    url:ApiUrl+'/system/call/userCall',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//获取IM协议信息
	if(api=='getCall'){
		uni.request({
		    url:ApiUrl+'/system/call/getCall',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//挂断IM通话
	if(api=='ringoff'){
		uni.request({
		    url:ApiUrl+'/system/call/ringoff',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//AIzaSyDl4Fn-0uNGtc0Hs7TrwIMs2YnnXXsPzg8  安卓
	//AIzaSyBBfjD6ZB5AJ5hQ0b7LPNpTt4DuDLNdvA8  ios
	//AIzaSyCUdubvwBgHx-SYXvabzH-N0DHTyUXgDQc  old
	//AIzaSyAqdcPV_HH__iLl7OUm4q9eHL3Ng5sJVhw  正式
	
	if(api=='getdistense'){//根据坐标获取路径距离(前端)
		uni.request({
		    url:'https://routes.googleapis.com/directions/v2:computeRoutes',
			method:"POST",
			header: {
			  'X-Goog-Api-Key':'AIzaSyCzUbTPSK3rTCiwKCYWjjKoUmdBBroJRzA',
			  'X-Goog-FieldMask': 'routes.duration,routes.distanceMeters,routes.polyline.encodedPolyline',
			  'Content-Type': 'application/json',
			},
			data:data,
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	if(api=='getluxianjvli'){//根据坐标获取路径距离（后台）
		uni.request({
		    url:ApiUrl+'/utils/getluxianjvli?',
			method:"GET",
			sslVerify:false,
			data:data,
			header: {
			  'Content-Type': 'application/json',
			},
			success: res=> {
				successc(res);
			},
			fail: function (err) {
				failc(err);
			},
		})
	}
	
	//根据距离获取运费
	
	if(api=='getZuiyyfei'){
		uni.request({
		    url: ApiUrl+'/utils/getZuiyyfei',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//获取用户id签名（TRTC）
	if(api=='getUserSig'){
		uni.request({
		    url:ApiUrl+'/infouser/user/getUserSig',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//获取促销数据
	if(api=='cuxiaoList'){
		uni.request({
		    url:ApiUrl+'/system/promotion/getorderuzt',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
			  'token':getApp().globalData.token
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//获取售后客服列表
	if(api=='kefuMsgList'){
		uni.request({
		    url:ApiUrl+'/system/appeal/apiList',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//提交售后客服信息
	if(api=='updatakefuMsg'){
		uni.request({
		    url:ApiUrl+'/system/appeal/apiAdd',
			method:"POST",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//售后快捷信息列表
	if(api=='getfeedlist'){
		uni.request({
		    url:ApiUrl+'/system/posfeedback/getfeedlist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//获取通告信息列表
	if(api=='getnoticelist'){
		uni.request({
		    url:ApiUrl+'/system/notice/getnoticelist',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	
	
//美食达---------------------------------------------------------------------------------------------
	//美食/商城分类列表
	if(api=='listByTag'){
		uni.request({
		    url:ApiUrl+'/fenlei/type/listByTag?',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//美食首页门店分页表
	if(api=='getStoreList'){
		uni.request({
		    url:ApiUrl+'/user/index/getStoreList?',
			method:"GET",
			sslVerify:false,
			data:data,
		    header: {
		      'Content-Type': 'application/json',
		    },
		    success: res=> {
		    	successc(res);
		    },
		    fail: function (err) {
		    	failc(err);
		    },
		})
	}
	//美食达新增订单
	if(api=='createOrder'){
		uni.request({
			url: ApiUrl+'/system/userOrder/createOrder',
			method:"POST",
			sslVerify:false,
			data:data,
			header: {
			  'Content-Type': 'application/json',
			  'token':getApp().globalData.token
			 },
			success: res=> {
				successc(res);
			},
			fail: function (err) {
				failc(err);
			},
		})
	}
	if(api=='getParentOrderDetail'){
			uni.request({
				url: ApiUrl+'/system/userOrder/getParentOrderDetail?',
				method:"GET",
				sslVerify:false,
				data:data,
				header: {
				  'Content-Type': 'application/json',
				  'token':getApp().globalData.token
				 },
				success: res=> {
					successc(res);
				},
				fail: function (err) {
					failc(err);
				},
			})
		}
	
}
module.exports = getdata;